Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class NameRepresentationUse

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.NameRepresentationUse

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class NameRepresentationUse

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Name Representation Use', and utility methods for working with them. abstDomain: V17860 (C-0-D10637-V17860-cpt)

See Also:
  `CDAR2Package.getNameRepresentationUse()`

Field Summary
`static int` | `ABC` The 'ABC' literal value.
`static NameRepresentationUse` | `ABC_LITERAL` The 'ABC' literal object.
`static int` | `IDE` The 'IDE' literal value.
`static NameRepresentationUse` | `IDE_LITERAL` The 'IDE' literal object.
`static int` | `SYL` The 'SYL' literal value.
`static NameRepresentationUse` | `SYL_LITERAL` The 'SYL' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Name Representation Use' enumerators.

Method Summary
`static NameRepresentationUse` | `get(int value)` Returns the 'Name Representation Use' literal with the specified integer value.
`static NameRepresentationUse` | `get(java.lang.String literal)` Returns the 'Name Representation Use' literal with the specified literal value.
`static NameRepresentationUse` | `getByName(java.lang.String name)` Returns the 'Name Representation Use' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ABC

    public static final int ABC

  The 'ABC' literal value.

  If the meaning of 'ABC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ABC_LITERAL`, Constant Field Values

### IDE

    public static final int IDE

  The 'IDE' literal value.

  If the meaning of 'IDE' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IDE_LITERAL`, Constant Field Values

### SYL

    public static final int SYL

  The 'SYL' literal value.

  If the meaning of 'SYL' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SYL_LITERAL`, Constant Field Values

### ABC_LITERAL

    public static final NameRepresentationUse ABC_LITERAL

  The 'ABC' literal object.

  See Also:
    `ABC`

### IDE_LITERAL

    public static final NameRepresentationUse IDE_LITERAL

  The 'IDE' literal object.

  See Also:
    `IDE`

### SYL_LITERAL

    public static final NameRepresentationUse SYL_LITERAL

  The 'SYL' literal object.

  See Also:
    `SYL`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Name Representation Use' enumerators.

Method Detail

### get

    public static NameRepresentationUse get(java.lang.String literal)

  Returns the 'Name Representation Use' literal with the specified literal value.

### getByName

    public static NameRepresentationUse getByName(java.lang.String name)

  Returns the 'Name Representation Use' literal with the specified name.

### get

    public static NameRepresentationUse get(int value)

  Returns the 'Name Representation Use' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD